{"id":18070,"date":"2018-11-24T06:04:51","date_gmt":"2018-11-24T06:04:51","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?post_type=docs&#038;p=15497"},"modified":"2023-07-26T15:15:43","modified_gmt":"2023-07-26T14:15:43","slug":"ml-training-status-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/ml-training-status-api\/","title":{"rendered":"ML Utterance Train Status API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To get the ML training status.<\/p>\n<p>&nbsp;<\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>GET<\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td><span style=\"font-weight: 400;\"><code>https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/ml\/train\/status?language={{lang}}&amp;state={{state}}<\/code><\/span><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"_blank\" rel=\"noopener noreferrer\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li>Bot Builder: Train ML<\/li>\n<li>Admin Console: Test and Train &gt; Train ML<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<th>Mandate<\/th>\n<\/tr>\n<tr>\n<td><b>host<\/b><\/td>\n<td>The environment URL. For example, <code>https:\/\/bots.kore.ai<\/code><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>BotID<\/b><\/td>\n<td>The <b>Bot ID<\/b> or <b>Stream ID<\/b> to be accessed under <b>General Settings<\/b> on the Bot Builder.<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>language<\/b><\/td>\n<td>The Bot language which is identified by the language acronym. For example, <em>en<\/em> for English and <em>de<\/em> for German.<br \/>\nThe user can set the default language of the bot.<\/td>\n<td>Optional<\/td>\n<\/tr>\n<tr>\n<td><b>state<\/b><\/td>\n<td>The state of the bot <em>configured<\/em> for the In-Development version and <em>published<\/em> for the published version.<br \/>\nSet by default to <em>configured<\/em><\/td>\n<td>Optional<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X GET \\\r\n  https:\/\/{{host}}\/api\/public\/bot\/{{BotId}}\/ml\/train\/status \\\r\n  -H 'Content-Type: application\/json' \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<p>No Body Parameters are passed.<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<p><strong>For successful training<\/strong><\/p>\n<pre>{\r\n    \"trainingStatus\": \"Finished\",\r\n    \"isMlInSyncWithSentences\": true,\r\n    \"isMlInSyncWithSynonyms\": true,\r\n    \"isMlInSyncWithMlparams\": true,\r\n    \"isMlInSyncWithTraits\": true,\r\n    \"isMlInSyncWithSmallTalk\": true,\r\n    \"isMlInSyncWithUBTraining\": true,\r\n    \"isMlInSyncWithEntityNode\": true,\r\n    \"isMlInSyncWithIntentNode\": true,\r\n    \"isMlInSyncWithPatterns\": true,\r\n    \"isMlInSyncWithBTUtterances\": true,\r\n    \"trainDetails\": {\r\n        \"nlpVersion\": 3,\r\n        \"trainVersion\": 3\r\n    }\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p><strong>For training in-progress<\/strong><\/p>\n<pre>{\r\n    \"trainingStatus\": \"Inprogress\",\r\n    \"isMlInSyncWithSentences\": true,\r\n    \"isMlInSyncWithSynonyms\": true,\r\n    \"isMlInSyncWithMlparams\": true,\r\n    \"isMlInSyncWithTraits\": true,\r\n    \"isMlInSyncWithSmallTalk\": true,\r\n    \"isMlInSyncWithUBTraining\": true\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p><strong>For failed training<\/strong><\/p>\n<pre>{\r\n    \"trainingStatus\": \"Failed\",\r\n    \"isMlInSyncWithSentences\": true,\r\n    \"isMlInSyncWithSynonyms\": true,\r\n    \"isMlInSyncWithMlparams\": true,\r\n    \"isMlInSyncWithTraits\": true,\r\n    \"isMlInSyncWithSmallTalk\": true,\r\n    \"isMlInSyncWithUBTraining\": true\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To get the ML training status. &nbsp; Method GET Endpoint https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/ml\/train\/status?language={{lang}}&amp;state={{state}} Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Train ML Admin Console: Test and Train &gt; Train ML &nbsp; Path Parameters Parameter Description Mandate host The environment URL. For example, https:\/\/bots.kore.ai Required BotID The Bot...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18070","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18070","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=18070"}],"version-history":[{"count":16,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18070\/revisions"}],"predecessor-version":[{"id":58425,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18070\/revisions\/58425"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=18070"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=18070"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=18070"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}